
typedef struct array_t *ARRAY;
typedef void (*DESTRUCT_ARRAY) (void *);
typedef int (*COMPARE_ARRAY) (void *, void *);

extern ARRAY create_array (int nsize, DESTRUCT_ARRAY destructor);
extern void destroy_array (ARRAY p);
extern int add_array_element (ARRAY p, void *element);
extern void remove_array_element (ARRAY p, int index);
extern void remove_array_all (ARRAY p);
extern void *get_array_element (ARRAY p, int index);
extern int get_array_count (ARRAY p);
extern void *get_array (ARRAY p);
extern int find_array_element (ARRAY p, void *element, COMPARE_ARRAY compare);

/* EOF */
