#ifndef CHTEAM_INCLUDE
#define CHTEAM_INCLUDE

#define FILENAME_SIZE		1024
#define OKE_MAX			32
#define TEAM_MAX		16
#define CHP_BUFFER_SIZE		(256 * 1024)
#define CHP_SAVE_SIZE		253082
#define EMBLEM_SIZE		576
#define PLAYERNAME_SIZE		28
#define HEADER_SIZE		6
#define CHP_OFS_OKEDATA		0x00000006L
#define CHP_OFS_PLAYERNAME	0x00039e06L
#define CHP_OFS_TEAMDATA	0x0003A6f6L
#define NAME_BUFFER_SIZE	64

#define OKEDATA_SIZE		6672
#define OKEDATA_NAME_SIZE	29
#define OKEDATA_CODE_SIZE	12
#define OKEDATA_OFS_HEADER	0
#define OKEDATA_OFS_NAME	4
#define OKEDATA_OFS_CODE	36
#define OKEDATA_OFS_EMBLEM	48

#define TEAMDATA_SIZE		832
#define TEAMDATA_NAME_SIZE	25
#define TEAMDATA_OWNER_SIZE	39
#define TEAMDATA_OFS_HEADER	0
#define TEAMDATA_OFS_EMBLEM	16
#define TEAMDATA_OFS_NAME	592
#define TEAMDATA_OFS_OWNER	617
#define TEAMDATA_OFS_OKE1IDX	688
#define TEAMDATA_OFS_OKE1POS	692
#define TEAMDATA_OFS_OKE2IDX	736
#define TEAMDATA_OFS_OKE2POS	740
#define TEAMDATA_OFS_OKE3IDX	784
#define TEAMDATA_OFS_OKE3POS	788
#define TEAMDATA_OFS_YEAR	800
#define TEAMDATA_OFS_MONTH	802
#define TEAMDATA_OFS_DAY	804

typedef struct oke_block
{
  unsigned char data[OKEDATA_SIZE];
  char filename[FILENAME_SIZE];
  int idx;
} OKEBLOCK;

typedef struct team_block
{
  unsigned short flag;
  unsigned char name[TEAMDATA_NAME_SIZE];
  unsigned char owner[TEAMDATA_OWNER_SIZE];
  unsigned char emblem[EMBLEM_SIZE];
  OKEBLOCK *poke[3];
  unsigned char pos[3];
  unsigned char ok_plot[3];
} TEAMBLOCK;

typedef struct chp_block
{
  char filename[FILENAME_SIZE];
  unsigned char playername[PLAYERNAME_SIZE];
  OKEBLOCK oke[OKE_MAX];
  TEAMBLOCK team[TEAM_MAX];
} CHPBLOCK;


#endif
/* EOF */
